Skip to content
Start here

List share resources by share ID

client.resourceSharing.resources.list(stringshareId, ResourceListParams { account_id, page, per_page, 2 more } params, RequestOptionsoptions?): V4PagePaginationArray<ResourceListResponse { id, created, meta, 6 more } >
GET/accounts/{account_id}/shares/{share_id}/resources

List share resources by share ID.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
shareId: string

Share identifier tag.

maxLength32
params: ResourceListParams { account_id, page, per_page, 2 more }
account_id: string

Path param: Account identifier.

maxLength32
page?: number

Query param: Page number.

minimum0
multipleOf1
per_page?: number

Query param: Number of objects to return per page.

maximum100
minimum0
multipleOf1
resource_type?: "custom-ruleset" | "gateway-policy" | "gateway-destination-ip" | 2 more

Query param: Filter share resources by resource_type.

One of the following:
"custom-ruleset"
"gateway-policy"
"gateway-destination-ip"
"gateway-block-page-settings"
"gateway-extended-email-matching"
status?: "active" | "deleting" | "deleted"

Query param: Filter share resources by status.

One of the following:
"active"
"deleting"
"deleted"
ReturnsExpand Collapse
ResourceListResponse { id, created, meta, 6 more }
id: string

Share Resource identifier.

maxLength32
created: string

When the share was created.

formatdate-time
meta: unknown

Resource Metadata.

modified: string

When the share was modified.

formatdate-time
resource_account_id: string

Account identifier.

maxLength32
resource_id: string

Share Resource identifier.

maxLength32
resource_type: "custom-ruleset" | "gateway-policy" | "gateway-destination-ip" | 2 more

Resource Type.

One of the following:
"custom-ruleset"
"gateway-policy"
"gateway-destination-ip"
"gateway-block-page-settings"
"gateway-extended-email-matching"
resource_version: number

Resource Version.

status: "active" | "deleting" | "deleted"

Resource Status.

One of the following:
"active"
"deleting"
"deleted"

List share resources by share ID

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted
  apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const resourceListResponse of client.resourceSharing.resources.list(
  '3fd85f74b32742f1bff64a85009dda07',
  { account_id: '023e105f4ecef8ad9ca31a8372d0c353' },
)) {
  console.log(resourceListResponse.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "created": "2023-09-21T18:56:32.624632Z",
      "meta": {},
      "modified": "2023-09-21T18:56:32.624632Z",
      "resource_account_id": "023e105f4ecef8ad9ca31a8372d0c353",
      "resource_id": "023e105f4ecef8ad9ca31a8372d0c353",
      "resource_type": "custom-ruleset",
      "resource_version": 0,
      "status": "active"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 50
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "created": "2023-09-21T18:56:32.624632Z",
      "meta": {},
      "modified": "2023-09-21T18:56:32.624632Z",
      "resource_account_id": "023e105f4ecef8ad9ca31a8372d0c353",
      "resource_id": "023e105f4ecef8ad9ca31a8372d0c353",
      "resource_type": "custom-ruleset",
      "resource_version": 0,
      "status": "active"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 50
  }
}